
QGIS Application - Bug report #14780

plugin in user plugin dir masks the newer version in core plugins dir in master (2.14 just works)

2016-05-06 10:57 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22737

Description

After looking into #11187

It looks like the version number is not taken into account by the descision which plugin is the latest and should be loaded.

In this case:

- a newer version (2.12.99) version of processing in $INSTALL/share/qgis/python/plugins/

and

- a (repo) version 2.12.2 in .qgis2/python/plugins/

is hidden.

BUT given the setup above and starting QGIS 2.14, THEN QGIS works ok (aka is loading the 2.12.99 version and showing the menu's)

So it looks like something is changed in master that breaks the version checking?

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 04:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
